package dtdmapper;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;

import com.japisoft.dtdparser.DTDMapper;
import com.japisoft.dtdparser.node.RootDTDNode;

/**
 * Here a sample for loading and managing a DTD from the
 * classpath
 * @author (c) 2004 JAPISoft / http://www.japisoft.com
 * @version 1.0
 * */
public class ClasspathDTDMapper implements DTDMapper {

	// We override the DTD url for using this local foo.dtd available
	// From the classpath
	public InputStream getStream( String url ) throws IOException {
		
		if ( "http://www.foo.com/foo.dtd".equals( url ) ) 
			return getClass().getResourceAsStream( "foo.dtd" );
		
		return null;
	}

	// We have no cache
	public boolean isCachedEnabled() {
		return false;
	}

	// We use this feature available only if the cache is enabled
	public File updateCache(RootDTDNode root, String url) {
		return null;
	}

}
